System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.ICloneable System.IDisposable

Line caps are used at the beginnings and ends of lines or curves drawn by GDI+ objects. GDI+ supports several predefined cap styles, and also allows users to define their own cap styles. This class is used to create custom cap styles.

Encapsulates a custom user-defined line cap.

- Constructor

  uses a fill mode of "winding" regardless of the fill mode specified for the operation.

  The and parameters cannot be used at the same time. One parameter must be passed a null value. If neither parameter is passed a null value, will be ignored. If is null, should intercept the negative y-axis.

  Initializes a new instance of the class with the specified outline and fill.

  A object that defines the fill for the custom cap.
  A object that defines the outline of the custom cap.
  1.0.5000.0
  2.0.0.0
- Constructor

  uses a fill mode of "winding" regardless of the fill mode specified for the operation.

  The and parameters cannot be used at the same time. One parameter must be passed a null value. If neither parameter is passed a null value, will be ignored. If is null, should intercept the negative y-axis.

  Initializes a new instance of the class from the specified existing enumeration with the specified outline and fill.

  A object that defines the fill for the custom cap.
  A object that defines the outline of the custom cap.
  The line cap from which to create the custom cap.
  1.0.5000.0
  2.0.0.0
- Constructor

  uses a fill mode of "winding" regardless of the fill mode specified for the operation.

  The and parameters cannot be used at the same time. One parameter must be passed a null value. If neither parameter is passed a null value, will be ignored. If is null, should intercept the negative y-axis.

  Initializes a new instance of the class from the specified existing enumeration with the specified outline, fill, and inset.

  A object that defines the fill for the custom cap.
  A object that defines the outline of the custom cap.
  The line cap from which to create the custom cap.
  The distance between the cap and the line.
  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.LineCap To be added: an object of type 'LineCap' To be added

  Gets or sets the enumeration on which this is based.

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the distance between the cap and the line.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Creates an exact copy of this .

  The this method creates, cast as an object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling allows the resources used by this object to be reallocated for other purposes.

  Releases all resources used by this object.

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Allows an to attempt to free resources and perform other cleanup operations before the is reclaimed by garbage collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'LineCap&' To be added: an object of type 'LineCap&' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Sets the caps used to start and end lines that make up this custom cap.

  The enumeration used at the beginning of a line within this cap. The enumeration used at the end of a line within this cap. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.LineJoin To be added: an object of type 'LineJoin'

  This property specifies a enumeration that is used to join lines and curves that make up the stroked path of this object.

  Gets or sets the enumeration that determines how lines that compose this object are joined.

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float'

  This property specifies the multiple of the pen width by which to multiply the size of the custom cap. For example, if this property equals 1, the custom cap width is 10, the custom cap height is 5, and a line is drawn with a pen with a width of 3, then the cap is drawn 30 units wide and 15 units high. Setting this property to 3 causes the cap to be drawn 90 units wide and 45 units high.

  Gets or sets the amount by which to scale this Class object with respect to the width of the object.

  1.0.5000.0
  2.0.0.0